# Always prefer setuptools over distutils
from setuptools import setup, find_packages

# To use a consistent encoding
from codecs import open
from os import path

# The directory containing this file
HERE = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(HERE, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

# This call to setup() does all the work
setup(
    name="hodgeys_kjv_db",
    version="1.0.0",
    description="The King James Bible as a Python module",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/HodgeyHodge/hodgeys_kjv_db",
    author="Christopher Hodge",
    author_email="christopher@hodgey.co.uk",
    license="MIT",
    classifiers=[
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Operating System :: OS Independent"
    ],
    packages=["hodgeys_kjv_db"],
    package_data={'hodgeys_kjv_db': ['DATA/Bible.db']},
    include_package_data=True
)
